# pion::spdy::_spdy_header_info Struct Reference

`#include <types.hpp>`

List of all members.

## Public Attributes

boost::uint32_t | stream_id
boost::uint8_t * | header_block
boost::uint8_t | header_block_len
boost::uint16_t | frame_type

## Detailed Description

This structure will be tied to each SPDY header frame. Only applies to frames containing headers: SYN_STREAM, SYN_REPLY, HEADERS Note that there may be multiple SPDY frames in one packet.

Definition at line 60 of file types.hpp.

The documentation for this struct was generated from the following file:

- include/pion/spdy/types.hpp